# Generated by Django 4.2 on 2023-06-11 15:37

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="PasswordTag",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "username",
                    models.TextField(
                        help_text="Required. 150 characters or fewer.                 Letters, digits and @/./+/-/_ only.",
                        verbose_name="username",
                    ),
                ),
                ("password", models.TextField(max_length=128, verbose_name="password")),
                ("url", models.TextField(help_text="Provide the url of the website")),
                (
                    "created_at",
                    models.DateTimeField(
                        default=django.utils.timezone.now, verbose_name="created at"
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="password_tags",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
